Subject: bug#45428: 27.1; (quote (quote (quote ...))) unexpectedly works as anonymous face

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Dec 2020 21:34:58 +0200

> Date: Mon, 28 Dec 2020 10:54:58 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>         [email-masked]
> 
> I see the same thing that I see when I use this:
> 
> (insert (propertize "hello" 'face '(:height 10.0)))

Not exactly the same, see below.

> The bug, IMO, is that this is not "a sequence of
> PROPERY VALUE pairs...", which is what the doc
> says it should be:
> 
>  (quote (quote '(:height 10.0))) 

Right, it's not.

> I wouldn't think of this as a doc bug because (1)
> this behavior is so unusual

Which behavior are you alluding to here? and what is the "doc bug",
exactly?

> Wrt #1: nowhere else, AFAIK, do we accept
>    (quote (quote (quote SEXP)))
> or (quote (quote (quote (quote (quote SEXP)))))
> or <add more `quote' ...> as a substitute for SEXP.

We don't "accept" it here, either.

> We don't do that anywhere else, and I don't see
> why we should do it here (or anywhere)?

We don't.  Please look in *Messages*, and you will see that.

> You've said, I think, that you too see no reason
> why this is done, except the possible historical
> one of it having just happened by "accident".

I'm beginning to think that we were talking about two different
instances of "this".